Bug 108168 - Warning when no local users created, but using NIS
Warning when no local users created, but using NIS
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: FutureFeature
: 106485 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-10-28 05:40 EST by David Jansen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-17 16:45:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Jansen 2003-10-28 05:40:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030312

Description of problem:
On the firstboot screen, one can create a local user account. However, I don't
want to do that, since we have NIS and kerberos running, so I want to use users
defined there. So I select "use network login" ad configure the authentication
But after that, firstboot still comes with a warning stating that it is
dangerous if one can only login as root. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install Fedora Core test3
2.firstboot runs, don't create local user but configure through "use network
login" (e.g. NIS, kerberos, LDAP, SMB)
3. press next

Actual Results:  Warning message pops up

Expected Results:  Firstboot should notice that there are user accounts
available through the configured network service and don't bother the
administrator with a meaningless warning. After all, if you get used to ignore
warnings, you might ignore the real warnings too!

Additional info:
Comment 1 Brent Fox 2003-12-17 16:45:01 EST
I've added some code in cvs to not pop up the dialog if the user has
clicked on the "Use Network Login" button.
Comment 2 Brent Fox 2003-12-19 15:31:48 EST
*** Bug 106485 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.